List folders
GET
/api/v1/workspaces/{workspace_id}/connectors/{id}/folders
const url = 'https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/connectors/1/folders';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/connectors/1/folders \ --header 'Authorization: Bearer <token>'Retrieves the folders for a connector.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspace_id
required
integer
Workspace ID
id
required
integer
Connector ID
Responses
Section titled “Responses”Successful
Media typeapplication/json
object
results
required
Array<object>
object
id
required
string
name
required
string
parent_id
required
string | null
not_selectable
boolean
Examplegenerated
{ "results": [ { "id": "example", "name": "example", "parent_id": "example", "not_selectable": true } ]}Unauthorized
Media typeapplication/json
object
message
required
string
Example
{ "message": "Record not found"}Forbidden
Media typeapplication/json
object
message
required
string
Example
{ "message": "Record not found"}Not Found
Media typeapplication/json
object
message
required
string
Example
{ "message": "Record not found"}